import validators

def type_hosts(hosts):
    validated_hosts = []
    for host in hosts:
        if validators.url(host) or validators.domain(host) or validators.ipv4(host) or validators.ipv6(host) or validators.email(host):
            validated_hosts.append(host)
    return validated_hosts
